=== debian/changelog ===
simutrans (111.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Update get-orig-source target for new upstream release.
  * Use xz compression for source and binary packages.
  * Use override_* targets to simplify debian/rules.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 03 Nov 2011 19:59:02 +0100
