## simutrans 111.2.2

=== makeobj/Makefile ===
--- 
+++ 
@@ -31,9 +31,9 @@
 
 ifeq ($(OSTYPE),mingw)
   CC ?= gcc
-  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
+  OS_OPT   ?= -DPNG_STATIC -DZLIB_STATIC -march=pentium
   # we need the libraries EXACTLY in this order to link
-  STD_LIBS = -lmingw32 -lpng -lz -lstdc++
+  STD_LIBS = -lmingw32 -lpng -lz
 endif
 
 ifeq ($(OSTYPE),mac)
@@ -128,12 +128,12 @@
 BUILDDIR ?= build/$(CFG)
 TOOL  = makeobj
 PROG ?= makeobj
+
 ifeq ($(origin MAKEOBJ_PROGDIR), undefined)
-  MAKEOBJ_PROGDIR := $(BUILDDIR)/$(TOOL)
+  MAKEOBJ_PROGDIR := ../$(BUILDDIR)/$(TOOL)
 endif
 
 BUILDDIR := ../$(BUILDDIR)
-MAKEOBJ_PROGDIR := ../$(MAKEOBJ_PROGDIR)
 
 TOOL_PROGDIR = $(MAKEOBJ_PROGDIR)
