=== nettools/Makefile ===
--- 
+++ 
@@ -91,12 +91,13 @@
 BUILDDIR ?= build/$(CFG)
 TOOL  = nettool
 PROG ?= nettool
+
 ifeq ($(origin NETTOOL_PROGDIR), undefined)
-  NETTOOL_PROGDIR := $(BUILDDIR)/$(TOOL)
+  NETTOOL_PROGDIR := ../$(BUILDDIR)/$(TOOL)
 endif
 
+
 BUILDDIR := ../$(BUILDDIR)
-NETTOOL_PROGDIR := ../$(NETTOOL_PROGDIR)
 
 TOOL_PROGDIR = $(NETTOOL_PROGDIR)
