=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Clint Adams <clint@gnu.org>
-Build-Depends: debhelper (>= 7.0.50~), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng12-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7), hardening-includes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7)
+Standards-Version: 3.9.3
 Homepage: http://www.simutrans.com/
 Vcs-Git: git://git.debian.org/git/pkg-games/simutrans.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/simutrans.git
