=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,11 @@
 #export DH_VERBOSE=1
 #export VERBOSE  = 1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 export CCFLAGS  = $(CFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
-
-include /usr/share/hardening-includes/hardening.make
-CFLAGS   += $(HARDENING_CFLAGS)
-CXXFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS  += $(HARDENING_LDFLAGS)
 
 TARGETS := binary binary-arch binary-indep build build-arch build-indep clean
 .PHONY: $(TARGETS)
@@ -57,8 +53,8 @@
 	dh_builddeb -- -Zxz
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 4913
-VERSION = 111.0
+SVNREV  = 5583
+VERSION = 111.2.2
 SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk
 
 get-orig-source:
