## simutrans 111.3.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 -include config.$(CFG)
 
 
-BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
-COLOUR_DEPTHS = 0 8 16
+BACKENDS      = allegro gdi opengl sdl mixer_sdl posix
+COLOUR_DEPTHS = 0 16
 OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
@@ -19,13 +19,8 @@
 endif
 
 
-ifeq ($(BACKEND), x11)
-  $(warning ATTENTION: X11 backend is broken)
-endif
-
-
 ifeq ($(OSTYPE),amiga)
-  STD_LIBS ?= -lz -lbz2 -lunix -lpthread -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
+  STD_LIBS ?= -lz -lbz2 -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
   CFLAGS += -mcrt=newlib -DUSE_C -DBIG_ENDIAN -gstabs+
   LDFLAGS += -Bstatic -non_shared
 endif
@@ -35,7 +30,7 @@
 endif
 
 ifeq ($(OSTYPE),haiku)
-  LIBS += -lz -lnetwork -lbz2
+  LIBS += -lz -lnetwork -lbz2 -lbe -llocale
 endif
 
 ifeq ($(OSTYPE),freebsd)
@@ -54,18 +49,24 @@
 
 
 ifeq ($(OSTYPE),cygwin)
-  CFLAGS += -I/usr/include/mingw -mwin32
-  LIBS   += -lgdi32 -lwinmm -lz -lbz2
+  SOURCES += simsys_w32_png.cc
+  CFLAGS += -I/usr/include/mingw -mwin32 -DNOMINMAX=1
+  CCFLAGS += -I/usr/include/mingw -mwin32 -DNOMINMAX=1
+  LDFLAGS += -mno-cygwin
+  LIBS   += -lgdi32 -lwinmm -lwsock32 -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mingw)
   CC ?= gcc
   SOURCES += simsys_w32_png.cc
-  CFLAGS  += -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
+  CFLAGS  += -DPNG_STATIC -DZLIB_STATIC -march=pentium -DNOMINMAX=1
   ifeq ($(BACKEND),gdi)
     LIBS += -lunicows
-    LDFLAGS +=  -mwindows
-  endif
+    ifeq  ($(WIN32_CONSOLE),)
+      LDFLAGS += -mwindows
+    endif
+  endif
+  LDFLAGS += -static-libgcc -static-libstdc++
   LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32 -lz -lbz2
 endif
 
@@ -83,7 +84,9 @@
     CFLAGS += -O3 -fno-schedule-insns
   ifneq ($(OSTYPE),mac)
     ifneq ($(OSTYPE),haiku)
-      CFLAGS += -minline-all-stringops
+      ifneq ($(OSTYPE),amiga)
+        CFLAGS += -minline-all-stringops
+      endif
     endif
   endif
 else
@@ -114,6 +117,18 @@
     CFLAGS  += -fno-inline -fno-schedule-insns
   endif
   LDFLAGS += -pg
+endif
+
+ifneq  ($(MULTI_THREAD),)
+  CFLAGS += -DMULTI_THREAD=$(MULTI_THREAD)
+  ifneq  ($(MULTI_THREAD),1)
+    ifeq ($(OSTYPE),mingw)
+#use lpthreadGC2d for debug alternatively
+      LDFLAGS += -lpthreadGC2
+    else
+      LDFLAGS += -lpthread
+    endif
+  endif
 endif
 
 ifneq ($(WITH_REVISION),)
@@ -205,6 +220,7 @@
 SOURCES += dataobj/powernet.cc
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
+SOURCES += dataobj/pwd_hash.cc
 SOURCES += dataobj/scenario.cc
 SOURCES += dataobj/tabfile.cc
 SOURCES += dataobj/translator.cc
@@ -227,16 +243,18 @@
 SOURCES += dings/zeiger.cc
 SOURCES += font.cc
 SOURCES += freight_list_sorter.cc
+SOURCES += gui/ai_option_t.cc
 SOURCES += gui/banner.cc
 SOURCES += gui/baum_edit.cc
 SOURCES += gui/citybuilding_edit.cc
 SOURCES += gui/citylist_frame_t.cc
 SOURCES += gui/citylist_stats_t.cc
 SOURCES += gui/climates.cc
-SOURCES += gui/colors.cc
+SOURCES += gui/display_settings.cc
 SOURCES += gui/components/gui_button.cc
 SOURCES += gui/components/gui_chart.cc
 SOURCES += gui/components/gui_combobox.cc
+SOURCES += gui/components/gui_ding_view_t.cc
 SOURCES += gui/components/gui_fixedwidth_textarea.cc
 SOURCES += gui/components/gui_flowtext.cc
 SOURCES += gui/components/gui_image_list.cc
@@ -350,6 +368,7 @@
 SOURCES += unicode.cc
 SOURCES += utils/cbuffer_t.cc
 SOURCES += utils/checksum.cc
+SOURCES += utils/csv.cc
 SOURCES += utils/log.cc
 SOURCES += utils/memory_rw.cc
 SOURCES += utils/searchfolder.cc
@@ -397,7 +416,7 @@
   else
     SOURCES  += sound/sdl_sound.cc
     ifeq ($(findstring $(OSTYPE), cygwin mingw),)
-	    SOURCES += music/no_midi.cc
+      SOURCES += music/no_midi.cc
     else
       SOURCES += music/w32_midi.cc
     endif
@@ -405,25 +424,3 @@
   ifeq ($(SDL_CONFIG),)
     ifeq ($(OSTYPE),mac)
       SDL_CFLAGS  := -I/System/Libraries/Frameworks/SDL/Headers -Dmain=SDL_main
-      SDL_LDFLAGS := -framework SDL -framework Cocoa -I/System/Libraries/Frameworks/SDL/Headers SDLMain.m
-    else
-      SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
-      SDL_LDFLAGS := -lSDLmain -lSDL -mwindows
-    endif
-  else
-    SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
-    SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
-  endif
-
-  CFLAGS += $(SDL_CFLAGS)
-  LIBS   += $(SDL_LDFLAGS)
-endif
-
-
-ifeq ($(BACKEND),mixer_sdl)
-  SOURCES += simsys_s.cc
-  SOURCES += sound/sdl_mixer_sound.cc
-  SOURCES += music/sdl_midi.cc
-  CFLAGS  += -DUSE_16BIT_DIB
-  ifeq ($(SDL_CONFIG),)
-    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
