=== debian/changelog ===
simutrans (111.3.1-1) experimental; urgency=low

  * New upstream release.
  * Make simutrans-data and simutrans-makeobj Multi-Arch: foreign.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 02 Aug 2012 17:41:50 +0200
