=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 Package: simutrans-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
 Description: transportation simulator (base data)
@@ -32,6 +33,7 @@
 
 Package: simutrans-makeobj
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
 Description: data file compiler for Simutrans
