=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,8 @@
 	dh_builddeb -- -Zxz
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 5583
-VERSION = 111.2.2
+SVNREV  = 5844
+VERSION = 111.3.1
 SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk
 
 get-orig-source:
