=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g,dversionmangle=s/[~+]ds\d+$//" \
    http://sf.net/simutrans/simutrans-src-(.*)\.zip
