## simutrans 120.1.1+repack

=== debian/changelog ===
simutrans (120.1.1+repack-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Switch to libpng-dev. (Closes: #810208)

 -- Markus Koschany <apo@debian.org>  Thu, 07 Jan 2016 20:03:10 +0100

simutrans (120.1.1+repack-2) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * Move makeobj from /usr/games to /usr/lib/simutrans (Closes: #780724).

  [ Markus Koschany ]
  * Add reproducible-build.patch, remove the __DATE__ macro and make the build
    reproducible.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 Nov 2015 12:17:29 +0100

simutrans (120.1.1+repack-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release (Closes: #708837).
  * Upload to unstable.
  * debian/control:
    - Add myself as new uploader (Closes: #783887).
    - Bump Standards-Version to 3.9.6 (No changes required).
    - Rewrite Depends.
    - Rewrite Vcs* to canonical URI.
    - Remove obsolete Pre-Depends.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * debian/rules:
    - Remove override_dh_builddeb because compression xz is now standard.
    - Remove obsolete nettools and skin.
    - To prevent FTBFS with sbuild add dh_quilt_patch to
      override_dh_auto_clean.
    - Remove BROKEN_LANG loop.
    - Split override_dh_install into override_dh_install-arch and
      override_dh_install-indep.
  * debian/copyright:
    - Add myself to debian/*
    - Remove obsolete utils/dr_rdgif.c.
    - Rewrite for the new upstream release.
  * Remove debian/patches/sha1-replacement.diff.
  * Remove double debian/patches/path-for-game-data.diff.
  * Refresh debian/patches/*.
  * Rewrite source handling:
    - New debian/repack.sh.
    - debian/watch: add parameter "debian debian/repack.sh".
    - Rewrite debian/README.source.
  * New d/p/0510-missing_uncommon_mk.patch to include missing uncommon.mk.
  * Update debian/translations.
  * New debian/gbp.conf.
  * Remove convert of simutrans.xpm and install it direct (Closes: #804666).
    - debian/rules: Remove convert call.
    - debian/control: Remove imagemagick from Build-Depends.
    - New debian/pixmaps/simutrans.xpm

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 14 Nov 2015 19:01:56 +0100
