=== debian/watch ===
version=3
opts=uversionmangle=s/-/./g,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/simutrans/simutrans-src-(.*)\.zip debian debian/repack.sh
